#include<stdio.h>


int main()
{int x1,x2;
char p,d;
scanf("%c%c",&p,&d);
scanf("%d %d",&x1,&x2);
if(x1-x2>=2||x2-x1>=2){printf("nemoguce");return 0;}
if(x1>x2)
{for(int i=0;i<x2;i++)
   printf("%c%c",p,d);
printf("%c",p);
}
else if(x1<x2)
{for(int i=0;i<x1;i++)
    printf("%c%c",d,p);
printf("%c",d);
}
else for(int i=0;i<x2;i++)
        printf("%c%c",p,d);

    return 0;
}